import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'alog_macos_platform_interface.dart';

/// An implementation of [AlogMacosPlatform] that uses method channels.
class MethodChannelAlogMacos extends AlogMacosPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('alog_macos');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
