import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'alog_macos_method_channel.dart';

abstract class AlogMacosPlatform extends PlatformInterface {
  /// Constructs a AlogMacosPlatform.
  AlogMacosPlatform() : super(token: _token);

  static final Object _token = Object();

  static AlogMacosPlatform _instance = MethodChannelAlogMacos();

  /// The default instance of [AlogMacosPlatform] to use.
  ///
  /// Defaults to [MethodChannelAlogMacos].
  static AlogMacosPlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [AlogMacosPlatform] when
  /// they register themselves.
  static set instance(AlogMacosPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
