import 'package:flutter_test/flutter_test.dart';
import 'package:alog_macos/alog_macos.dart';
import 'package:alog_macos/alog_macos_platform_interface.dart';
import 'package:alog_macos/alog_macos_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockAlogMacosPlatform
    with MockPlatformInterfaceMixin
    implements AlogMacosPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final AlogMacosPlatform initialPlatform = AlogMacosPlatform.instance;

  test('$MethodChannelAlogMacos is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelAlogMacos>());
  });

  test('getPlatformVersion', () async {
    AlogMacos alogMacosPlugin = AlogMacos();
    MockAlogMacosPlatform fakePlatform = MockAlogMacosPlatform();
    AlogMacosPlatform.instance = fakePlatform;

    expect(await alogMacosPlugin.getPlatformVersion(), '42');
  });
}
